Umstellung auf PHP 8 - Anpassungen nötig?

  • Affected Version
    WoltLab Suite 5.3

    Hallo,

    habe hierzu keine Info gefunden. Ich betreibe zwei Foren auf 5.3 und ein Forum auf 5.4 und möchte den Webspace auf dem sie laufen von PHP 7.3 auf PHP 8 umstellen.

    Hier ergeben sich für mich einige Fragen:

    1. Sollte man bei PHP 8.0 bleiben oder PHP 8.1 einsetzen?
    2. Sind vorab irgendwelche Änderungen nötig?
    3. Ist im Rahmen der Umstellung mit Fehlern zu rechnen oder läuft es nach der Umstellung grundsätzlich nahtlos weiter?

    Danke!

  • Ok, danke! Das heißt auf 5.4 aktualisieren, dann auf PHP 8.0 umstellen.

    Bleiben die Fragen 2 und 3:

    2. Sind vorab irgendwelche Änderungen nötig?

    3. Ist im Rahmen der Umstellung mit Fehlern zu rechnen oder läuft es nach der Umstellung grundsätzlich nahtlos weiter?

  • Ganz vergessen, falls du Drittanbieterpaketserver hast, kann es sein, dass diese nach Versionen aufgeteilt sind. Die alten musst du am Ende raus schmeißen und die neuen dann rein und einfach mal danach nach Updates suchen

    „If you can only do one thing, hone it to perfection. Hone it to the utmost limit!“ – Zenitsu Agatsuma

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!